v10.0
get
/ec-ors-svc/rest/v10.0/studies/{studyId}/{mode}/visits/subjectvisit
Retrieves visit by visit ID. This is a new version of the API for adding additional attribute hasUnblindedPharmacistKits for unblinded users. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
externalSubjectId(required): string
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
instanceNumber: string
Instance number for unscheduled visit.
-
visitId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : VisitResult v9.0
Type:
objectTitle:
VisitResult v9.0Visit result.
Show Source
-
kits: array
kits
-
needsToVisitPharmacist: boolean
Title:
Needs To Visit PharmacistIndicates whether the subject needs to visit an unblinded pharmacist for kit dispensation.Example:true -
randomNumber: string
Title:
Random NumberRandom number.Example:10 -
treatmentTitle: string
Title:
Treatment TitleTreatment title.Example:A -
visitTimestamp: string
(date-time)
Title:
Visit TimestampVisit timestamp.
Nested Schema : kits
Type:
Show Source
array-
Array of:
object DispensationKit v8.0
Title:
DispensationKit v8.0Contains information for the kit dispensation.
Nested Schema : DispensationKit v8.0
Type:
objectTitle:
DispensationKit v8.0Contains information for the kit dispensation.
Show Source
-
barcode: string
Barcode.Example:
1000 -
conserved: boolean
Title:
ConservedConserved for dispensation.Example:true -
consumeAcrossDoses: boolean
Title:
Consume Across DosesIndicates whether consumption across doses is allowed.Example:true -
deviceConnection: string
Title:
Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connection type.Example:DevicetoCloud -
deviceType: string
Title:
Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type.Example:ActivityWatch -
dispensationConfirmed: boolean
Indicates whether dispensation is confirmed.Example:
true -
dose: number
(double)
Title:
DoseDose.Example:5 -
dosingUnblinded: boolean
Title:
Dosing UnblindedIndicates whether dosing is unblinded.Example:true -
frequency: string
Title:
FrequencyAllowed Values:[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
id: number
(Integer)
Title:
Dispensation Kit IDUnique identifier of the dispensation kit.Example:2 -
inventoryId: string
Title:
Inventory IDInventory ID.Example:D313327EF13845169A8ADADDA435431E -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
measurement: string
Title:
MeasurementDose Measurement.Example:ml -
titrationKitLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:High dose -
titrationOption: string
Title:
Titration OptionAllowed Values:[ "up", "down", "maintain" ]Titration options to dispense kits. For example: up/down/maintain.Example:up -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
400 Response
Invalid subject
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version OR Visit for subject does not exist.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object